package com.liquidnet.common.third.zxlnft.dto.nft;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: IdentityVerifyIdentityReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:33
 */
@Data
public class Nft017IdentityVerifyIdentityResp implements Serializable {
    /**
     * 用户唯一标识
     */
    private String userIdentification;

    private static final Nft017IdentityVerifyIdentityResp obj = new Nft017IdentityVerifyIdentityResp();
    public static Nft017IdentityVerifyIdentityResp getNew() {
        try {
            return (Nft017IdentityVerifyIdentityResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft017IdentityVerifyIdentityResp();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
